Page MenuHomePhabricator

[keyresult] Migrate majority of CI jobs to Nodepool (part 2)
Closed, ResolvedPublic

Description

Follow-on from T114315: [keyresult] Migrate majority of CI jobs to Nodepool (part 1).

  • php composer (Zend and HHVM)
  • as many misc jobs as possible

Details

Related Gerrit Patches:

Related Objects

StatusSubtypeAssignedTask
DuplicateNone
Resolved hashar
Resolved hashar
ResolvedJoe
ResolvedJoe
ResolvedJoe
ResolvedJoe
Resolvedtstarling
ResolvedJoe
Resolvedkaldari
Resolvedjcrespo
ResolvedVolans
Resolvedaaron
InvalidNone
DeclinedNone
ResolvedLegoktm
Resolved hashar
Resolved hashar
Resolvedori
Resolved hashar
Resolved hashar
Resolved hashar
Resolved hashar
InvalidNone
DeclinedNone
Resolved hashar
Resolved hashar
Resolved hashar
Resolved hashar
Resolvedgreg
Resolved hashar
Resolved hashar
ResolvedLegoktm
Resolved hashar
Resolved hashar
Resolved hashar
Resolved hashar
Resolved hashar
Resolved hashar
Declined hashar
Resolved hashar
Declined hashar
Resolved hashar
Declined hashar
Resolved hashar
Resolved hashar
Resolvedmobrovac
Resolved hashar
Resolved hashar
Resolvedmobrovac
Resolved hashar
DuplicateNone
Resolved hashar
Resolved hashar
Resolved hashar
Resolved hashar
ResolvedPaladox
Resolved hashar
Resolved hashar
Resolved hashar
Resolved hashar
Resolved hashar
Resolved hashar
InvalidNone
Resolved hashar
DeclinedNone
Resolved hashar
Resolved hashar
Resolved hashar
Resolved hashar
Resolvedzeljkofilipin
Resolveddduvall
Duplicatezeljkofilipin
Resolved hashar
Resolved hashar
Resolved hashar
Resolved hashar
ResolvedEjegg

Event Timeline

greg created this task.Nov 19 2015, 10:51 PM
greg raised the priority of this task from to Needs Triage.
greg updated the task description. (Show Details)
greg added a project: releng-201516-q3.
greg added subscribers: greg, hashar.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptNov 19 2015, 10:51 PM
greg triaged this task as Medium priority.Nov 19 2015, 10:52 PM
greg set Security to None.
greg removed a subscriber: StudiesWorld.
Paladox added a comment.EditedMar 16 2016, 9:14 PM

@hashar php5 for Jessie https://packages.debian.org/jessie/php5

Seems to block https://phabricator.wikimedia.org/T114315 since oojs-ui cannot be migrated since it needs composer which is php to run.

Change 290806 had a related patch set uploaded (by Paladox):
Migrate mediawiki-phpunit-phpflavour-composer to nodepool

https://gerrit.wikimedia.org/r/290806

Would need to audit the history, but a bulk of PHP jobs have been migrated fairly recently when I managed to provision a Trusty image in Nodepool (for Zend 5.5).

Change 317481 had a related patch set uploaded (by Hashar):
Migrate visualeditor-coverage to Nodepool instance

https://gerrit.wikimedia.org/r/317481

Change 317481 merged by jenkins-bot:
Migrate visualeditor-coverage to Nodepool instance

https://gerrit.wikimedia.org/r/317481

Change 317482 had a related patch set uploaded (by Hashar):
Move npm coverage jobs to Nodepool

https://gerrit.wikimedia.org/r/317482

Change 317482 merged by jenkins-bot:
Move npm coverage jobs to Nodepool

https://gerrit.wikimedia.org/r/317482

greg moved this task from INBOX to Epics on the Release-Engineering-Team board.May 20 2017, 3:54 PM
hashar closed this task as Resolved.Feb 8 2018, 7:57 AM
hashar claimed this task.

This has been mostly done. The long tail of jobs still on permanent slaves will end up being migrated to Docker containers since Nodepool is now legacy.